%define major       2
%define libname     %mklibname mpdclient %{major}
%define develname   %mklibname mpdclient -d

Name:           libmpdclient
Version:        2.19
Release:        %mkrel 1
Summary:        API library for interfacing MPD in the C, C++ & Objective C languages
Group:          System/Libraries
License:        BSD
Url:            http://www.musicpd.org/
Source0:        http://www.musicpd.org/download/libmpdclient/2/%{name}-%{version}.tar.xz
BuildRequires:  doxygen
BuildRequires:	meson
BuildRequires:	ninja

%description
A stable, documented, asynchronous API library for interfacing MPD in the C,
C++ & Objective C languages.

#-----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        API library for interfacing MPD in the C, C++ & Objective C languages
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
A stable, documented, asynchronous API library for interfacing MPD in the C, 
C++ & Objective C languages.

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

#-----------------------------------------------------------------------------

%package -n     %{develname}
Summary:        Devel headers for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       mpdclient-devel = %{version}-%{release}

%description -n %{develname}
Devel headers for libmpdclient.

%files -n %{develname}
%{_docdir}/%{name}/
%{_datadir}/vala/vapi/%{name}.vapi
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/mpd/
%{_libdir}/%{name}.so

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%meson
%ninja_build -C build

%install
rm -rf %buildroot
%ninja_install -C build

# we don't want these
find %{buildroot} -name '*.la' -delete


%changelog
* Sun May 30 2021 tex - 2.19-1pclos2021
- new version
